
class Menadzer extends Zaposleni
{
	private boolean teren;
	
	Menadzer(String imeRadnika, boolean teren, boolean bonus)
	{
		super(imeRadnika, bonus);
		this.teren = teren;
	}
	
	public void izracunajPlatu(int brojSati)
	{
		super.izracunajPlatu(brojSati);
		plata = plata + brojSati * 150.0;
		
		if (getBonus())
			plata = plata + 1000.0;
		if (teren) 
			plata = plata + 500.0;
	}
	
	public String toString()
	{
		if (getBonus())
			return getImeRadnika() + " : (" + plata + ", " + "DA" + ")";
		
		return getImeRadnika() + " : (" + plata + ", " + "NE" + ")";
	}
}
